Bug 962401 - rhel7.0 guest(runlevel 5) call trace in destination after migration
rhel7.0 guest(runlevel 5) call trace in destination after migration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Juan Quintela
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 07:11 EDT by zhonglinzhang
Modified: 2014-01-20 07:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-20 07:38:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
guest dmesg log (52.34 KB, text/x-log)
2013-05-13 21:56 EDT, FuXiangChun
no flags Details

  None (edit)
Description zhonglinzhang 2013-05-13 07:11:56 EDT
Description of problem:
As subject, after migration, on the des guest, the termnial and some shell command can not work. reboot without responding.
I attached guest's dmesg log. 

Version-Release number of selected component (if applicable):
host and guest kernel version:
# uname -r  
3.9.0-0.55.el7.x86_64

qemu-kvm: qemu-kvm-1.4.0-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot rhel7.0 guest in src
/usr/libexec/qemu-kvm -M pc-i440fx-1.4 -cpu SandyBridge -enable-kvm -m 4096 -smp 4,sockets=2,cores=2,threads=1 -name sluo-test -uuid 389d06a7-ed31-4fae-baf4-87bdb9b5594e -rtc base=localtime,clock=host,driftfix=slew -drive file=/mnt/RHEL-Server-7.0-64.qcow2,if=none,id=drive-system-disk,format=qcow2 -device virtio-blk-pci,scsi=on,bus=pci.0,addr=0x4,drive=drive-system-disk,id=system-disk,bootindex=1,ioeventfd=on -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=00:22:19:27:54:3d,bus=pci.0,addr=0x5,bootindex=2 -qmp tcp:0:5555,server,nowait -k en-us -boot menu=on -vnc :0 -vga cirrus -monitor stdio -serial unix:/tmp/ttyS0,server,nowait

2. Change guest runlevel to 5.

3.Boot rhel7.0 guest in des
/usr/libexec/qemu-kvm -M pc-i440fx-1.4 -cpu SandyBridge -enable-kvm -m 4096 -smp 4,sockets=2,cores=2,threads=1 -name sluo-test -uuid 389d06a7-ed31-4fae-baf4-87bdb9b5594e -rtc base=localtime,clock=host,driftfix=slew -drive file=/mnt/RHEL-Server-7.0-64.qcow2,if=none,id=drive-system-disk,format=qcow2 -device virtio-blk-pci,scsi=on,bus=pci.0,addr=0x4,drive=drive-system-disk,id=system-disk,bootindex=1,ioeventfd=on -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=00:22:19:27:54:3d,bus=pci.0,addr=0x5,bootindex=2 -qmp tcp:0:5555,server,nowait -k en-us -boot menu=on -vnc :0 -vga cirrus -monitor stdio -serial unix:/tmp/ttyS0,server,nowait -incoming tcp:0:5888

4.migrate -d tcp:ip:5888

5. test guest works status in des 

Actual results:
guest call trace in des, and terminal and shell env are unavailable. 

Expected results:
guest work well

Additional info:
If boot guest with runlevel 3, then rhel7.0 guest work well in des after migration.
Comment 2 FuXiangChun 2013-05-13 21:56:50 EDT
Created attachment 747483 [details]
guest dmesg log
Comment 3 Jun Li 2013-07-31 01:15:32 EDT
Re-test this issue with runlevel 3 in guest.

rhel7.0 guest sometime show call trace after migration. 
[  449.601077] Call Trace:
[  449.601077]  [<ffffffff8101955f>] default_idle+0x1f/0xc0
[  449.601077]  [<ffffffff81019e36>] arch_cpu_idle+0x26/0x30
[  449.601077]  [<ffffffff810b044e>] cpu_startup_entry+0xce/0x280
[  449.601077]  [<ffffffff815edbd6>] start_secondary+0x254/0x256
Comment 5 zhonglinzhang 2013-12-19 21:25:16 EST
Retest this with kernel: 3.10.0-61.el7.x86_64  qemu_kvm: qemu-kvm-1.5.3-21.el7.x86_64

The steps as #Description:

After migration, the des guest can work well, no call trace with runlevel 5, and terminal and shell env also work well.
Comment 6 Juan Quintela 2014-01-20 07:38:54 EST
It was not reproducible with current release.
It should have been fixed with some of the fixes backported for other bugzilla.
Reopen it if you can reproduce.

Thanks, Juan.

Note You need to log in before you can comment on or make changes to this bug.